Subject: Re: [PATCH v3] rfkill: Add rfkill-any LED trigger

From: Johannes Berg <[email-masked]>
Date: Mon, 02 Jan 2017 13:21:45 +0100

> I'm not super happy with this conditional locking - can't we instead
> defer the necessary work to a workqueue, or so, for purposes of the
> LED?

Actually, since you can sleep in here, and do various other things like
scheduling etc. this can't even be correct as is - one thread might be
in the probe and another might also attempt to do some operations that
require the lock but now don't take it.

johannes